Bug 27942 - mount не обрабатывает списки fs
Summary: mount не обрабатывает списки fs
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: mount (show other bugs)
Version: unstable
Hardware: all Linux
: P3 blocker
Assignee: Alexey Gladkov
QA Contact: qa-sisyphus
URL: http://comments.gmane.org/gmane.linux...
Keywords: distro-blocker
Depends on:
Blocks: 27685
  Show dependency tree
 
Reported: 2012-11-08 18:18 MSK by Anton V. Boyarshinov
Modified: 2012-11-15 17:03 MSK (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton V. Boyarshinov 2012-11-08 18:18:04 MSK
# grep cdrom /etc/fstab
/dev/sr0 /media/cdrom udf,iso9660 ro,noauto,user,utf8 0 0
# mount /media/cdrom
mount: unknown filesystem type 'udf,iso9660'
Comment 1 Anton V. Boyarshinov 2012-11-08 18:18:59 MSK
Кроме всего прочего, это ломает alterator-netinst
Comment 2 Michael Shigorin 2012-11-08 18:20:06 MSK
auto?
Comment 3 Alexey Gladkov 2012-11-08 19:09:55 MSK
регрес в libmount.
Comment 4 Dmitry V. Levin 2012-11-15 03:17:16 MSK
(In reply to comment #3)
> регрес в libmount.

Already reported with a patch in
http://marc.info/?l=util-linux-ng&m=134876452206541
The patch was labelled a hack and rejected in
http://marc.info/?l=util-linux-ng&m=134910609108013
but no better alternative is available so far.

Please apply that patch in Sisyphus until upstream has a better fix
for this regression.

Thanks.
Comment 5 Repository Robot 2012-11-15 17:03:43 MSK
util-linux-2.22-alt4 -> sisyphus:

* Thu Nov 15 2012 Alexey Gladkov <legion@altlinux> 2.22-alt4
- libmount: fix support of comma-separated fs types lists (thx: glebfm@) (ALT#27942).